Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.acme
Class Date2Tag

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          com.acme.Date2Tag

All Implemented Interfaces:
  JspTag, SimpleTag

    public class Date2Tag

extends SimpleTagSupport

Constructor Summary
`Date2Tag()`

Method Summary
`void` | `doTag()` Default processing of the tag does nothing.
`void` | `setFormat(String value)`

Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
`findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Date2Tag

    public Date2Tag()

Method Detail

### setFormat

    public void setFormat(String value)

### doTag

    public void doTag()
               throws JspException,
                      IOException

  Description copied from class: `SimpleTagSupport`
  Default processing of the tag does nothing.

  Specified by:
    `doTag` in interface `SimpleTag`
  Overrides:
    `doTag` in class `SimpleTagSupport`
  Throws:
    `JspException` - Subclasses can throw JspException to indicate an error occurred while processing this tag.
    `SkipPageException` - If the page that (either directly or indirectly) invoked this tag is to cease evaluation. A Simple Tag EventHandler generated from a tag file must throw this exception if an invoked Classic Tag EventHandler returned SKIP_PAGE or if an invoked Simple Tag EventHandler threw SkipPageException or if an invoked Jsp Fragment threw a SkipPageException.
    `IOException` - Subclasses can throw IOException if there was an error writing to the output stream
  See Also:
    `SimpleTag.doTag()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.